<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (11.0.11) on Sat Dec 04 19:21:21 CET 2021 -->
<title>SubjectPatternCollector</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-12-04">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="SubjectPatternCollector";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/SubjectPatternCollector.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">qengine.query.pattern.collector</a></div>
<h2 title="Class SubjectPatternCollector" class="title">Class SubjectPatternCollector</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>org.eclipse.rdf4j.query.algebra.helpers.AbstractQueryModelVisitor&lt;java.lang.RuntimeException&gt;</li>
<li>
<ul class="inheritance">
<li>qengine.query.pattern.collector.SubjectPatternCollector</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><code>org.eclipse.rdf4j.query.algebra.QueryModelVisitor&lt;java.lang.RuntimeException&gt;</code></dd>
</dl>
<hr>
<pre>public class <span class="typeNameLabel">SubjectPatternCollector</span>
extends org.eclipse.rdf4j.query.algebra.helpers.AbstractQueryModelVisitor&lt;java.lang.RuntimeException&gt;</pre>
<div class="block">Un <code>QueryModelVisitor</code> qui collectionne
 les traductions de <code>StatementPattern</code>
 en <a href="../SubjectPattern.html" title="class in qengine.query.pattern"><code>SubjectPattern</code></a>.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Pierre Romestant, Gabriel Darbord</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../dictionary/Dictionary.html" title="interface in qengine.dictionary">Dictionary</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#dictionary">dictionary</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.util.List&lt;<a href="../Pattern.html" title="interface in qengine.query.pattern">Pattern</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#patterns">patterns</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(qengine.dictionary.Dictionary)">SubjectPatternCollector</a></span>&#8203;(<a href="../../../dictionary/Dictionary.html" title="interface in qengine.dictionary">Dictionary</a>&nbsp;dictionary)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../Pattern.html" title="interface in qengine.query.pattern">Pattern</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getPatterns()">getPatterns</a></span>()</code></th>
<td class="colLast">
<div class="block">Retourne la liste des patrons rencontrés et traduits.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#meet(org.eclipse.rdf4j.query.algebra.StatementPattern)">meet</a></span>&#8203;(org.eclipse.rdf4j.query.algebra.StatementPattern&nbsp;node)</code></th>
<td class="colLast">
<div class="block">Visite d'un patron pour collectionner sa traduction.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static java.util.List&lt;<a href="../Pattern.html" title="interface in qengine.query.pattern">Pattern</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#process(org.eclipse.rdf4j.query.algebra.QueryModelNode,qengine.dictionary.Dictionary)">process</a></span>&#8203;(org.eclipse.rdf4j.query.algebra.QueryModelNode&nbsp;node,
       <a href="../../../dictionary/Dictionary.html" title="interface in qengine.dictionary">Dictionary</a>&nbsp;dictionary)</code></th>
<td class="colLast">
<div class="block">Utilise une instance de ce collectionneur pour visiter la requête et retourne
 les patrons trouvés.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.org.eclipse.rdf4j.query.algebra.helpers.AbstractQueryModelVisitor">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.rdf4j.query.algebra.helpers.AbstractQueryModelVisitor</h3>
<code>meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meetBinaryTupleOperator, meetBinaryValueOperator, meetCompareSubQueryValueOperator, meetNAryValueOperator, meetNode, meetOther, meetSubQueryValueOperator, meetUnaryTupleOperator, meetUnaryValueOperator, meetUpdateExpr</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a id="dictionary">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>dictionary</h4>
<pre>private&nbsp;<a href="../../../dictionary/Dictionary.html" title="interface in qengine.dictionary">Dictionary</a> dictionary</pre>
</li>
</ul>
<a id="patterns">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>patterns</h4>
<pre>private&nbsp;java.util.List&lt;<a href="../Pattern.html" title="interface in qengine.query.pattern">Pattern</a>&gt; patterns</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;(qengine.dictionary.Dictionary)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>SubjectPatternCollector</h4>
<pre>public&nbsp;SubjectPatternCollector&#8203;(<a href="../../../dictionary/Dictionary.html" title="interface in qengine.dictionary">Dictionary</a>&nbsp;dictionary)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>dictionary</code> - utilisé pour traduire les données en indices</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="getPatterns()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPatterns</h4>
<pre class="methodSignature">public&nbsp;java.util.List&lt;<a href="../Pattern.html" title="interface in qengine.query.pattern">Pattern</a>&gt;&nbsp;getPatterns()</pre>
<div class="block">Retourne la liste des patrons rencontrés et traduits.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>la liste des patrons rencontrés et traduits</dd>
</dl>
</li>
</ul>
<a id="meet(org.eclipse.rdf4j.query.algebra.StatementPattern)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>meet</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;meet&#8203;(org.eclipse.rdf4j.query.algebra.StatementPattern&nbsp;node)</pre>
<div class="block">Visite d'un patron pour collectionner sa traduction.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>meet</code>&nbsp;in interface&nbsp;<code>org.eclipse.rdf4j.query.algebra.QueryModelVisitor&lt;java.lang.RuntimeException&gt;</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>meet</code>&nbsp;in class&nbsp;<code>org.eclipse.rdf4j.query.algebra.helpers.AbstractQueryModelVisitor&lt;java.lang.RuntimeException&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>node</code> - le patron visité</dd>
</dl>
</li>
</ul>
<a id="process(org.eclipse.rdf4j.query.algebra.QueryModelNode,qengine.dictionary.Dictionary)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>process</h4>
<pre class="methodSignature">public static&nbsp;java.util.List&lt;<a href="../Pattern.html" title="interface in qengine.query.pattern">Pattern</a>&gt;&nbsp;process&#8203;(org.eclipse.rdf4j.query.algebra.QueryModelNode&nbsp;node,
                                              <a href="../../../dictionary/Dictionary.html" title="interface in qengine.dictionary">Dictionary</a>&nbsp;dictionary)</pre>
<div class="block">Utilise une instance de ce collectionneur pour visiter la requête et retourne
 les patrons trouvés.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>node</code> - la requête à traiter</dd>
<dd><code>dictionary</code> - utilisé pour traduire les données en indices</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>la liste des patrons rencontrés et traduits</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/SubjectPatternCollector.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
